package BodyFieldEraser::CMS;

use strict;

sub erase_body_field {
    my ($cb, $app, $template) = @_;

    my $plugin = MT->component("BodyFieldEraser");
    return unless $plugin->get_config_value('erase_body_field', 'blog:'.$app->param('blog_id'));

    my $old = <<HTML;
    <div id="text-field" class="mod field mb-5">
HTML

    $old = quotemeta($old);

    my $new = <<HTML;
    <div id="text-field" class="mod field mb-5" style="display:none">
HTML
    $$template =~ s/$old/$new/;
}

1;
